EDIT - bug #9731

error when showing to type specimens with same type status
08/03/2021 12:02 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.26

Severity: normal Found in Version:

Description

Fails: https://www.phycobank.org/cdm_dataportal/reqgistration?identifier=http:/phycobank.org/102822
errors:

Notice: Trying to get property 'uuid' of non-object in compose_specimen_type_designations () (1
ine 1296 of /home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/name.inc) .

Notice: Trying to get property 'typeSpecimen' of non-object in compose_specimen_type_designati
ons () (line 1299 of /home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/na
me.inc) .

Notice: Trying to get property 'uuid' of non-object in compose_specimen_type_designations () (1
ine 1299 of /home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/name.inc) .

cdm_compose_url () : missing pathParameter 0 for portal/derivedUnitFacade/$0

Notice: Trying to get property 'typeSpecimen' of non-object in compose_specimen_type_designati
ons () (line 1301 of /home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/na
me.inc) .

Notice: Trying to get property 'uuid' of non-object in compose_specimen_type_designations () (1
ine 1301 of /home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/name.inc) .

Warning: Creating default object from empty value in cdm_entity_sources_sorted() (line 593 of
/home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/footnotes.inc) .

TypeError: Argument 1 passed to cdm_entity_annotations_as_footnote_keys () must be an instance
of stdClass, null given, called in /home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_datapor
tal/includes/footnotes.inc on line 554 in cdm_entity_annotations_as_footnote_keys () (line 129 of /
home/andreas/workspaces/cdm/cdm—-dataportal/modules/cdm_dataportal/includes/footnotes.inc) .

Associated revisions

Revision fab5713f - 08/03/2021 12:05 PM - Andreas Kohlbecker

fix #9731 fixing incorrect merging of arrays

Revision 90e36873 - 08/04/2021 02:22 PM - Andreas Kohlbecker

fix #9731 fixing incorrect merging of arrays - correct changeset this time

Revision cf21ac75 - 08/04/2021 02:25 PM - Andreas Kohlbecker

fix #9731 fixing incorrect merging of arrays - correct changeset this time

History

#1 - 08/03/2021 12:05 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|fab5713fd2ead63f7f565275327cef96af93d8c8.

#2 - 08/03/2021 12:05 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
